/* Demo of GtkLevelHold
 * Copyright (C) 1999 Eric S. Tiedemann (est@hyperreal.org)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <math.h>
#include <assert.h>

#include "gtklevelhold.h"

gint
delete_event(GtkWidget *w, GdkEvent *e, gpointer o)
{
  gtk_main_quit();
}

float phase;
float phase1;

gint
bar(gpointer o)
{
  GtkLevelHold *lh = GTK_LEVEL_HOLD(o);

  gtk_level_hold_set(lh, (sin(phase) * cos(phase1) + 1) / 2);
  phase += .03;
  phase1 += .07;
}

int
main(int argc, char **argv)
{
  GtkWidget *w, *lh;

  gtk_init(&argc, &argv);

  w = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  
  gtk_window_set_policy(GTK_WINDOW(w), TRUE, TRUE, TRUE);

  gtk_signal_connect(GTK_OBJECT(w), "delete_event", 
		     GTK_SIGNAL_FUNC(delete_event), (gpointer) 0);

  lh = gtk_level_hold_new(200, 10, 
			  GTK_LEVEL_HOLD_FADE,
			  100,
			  .9);

  gtk_container_add(GTK_CONTAINER(w), GTK_WIDGET(lh));

  gtk_widget_show_all(w);

  gtk_timeout_add(10, bar, lh);

  gtk_main();

  return 0;
}
