#!/usr/bin/python

# Python binding for GtkLevelHold
# Copyright (C) 1999 Eric S. Tiedemann (est@hyperreal.org)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

from gtk import *
import _pygtklevelhold

GTK_LEVEL_HOLD_HORIZONTAL = 1
GTK_LEVEL_HOLD_FADE = 2
GTK_LEVEL_HOLD_FIXED = 4

class GtkLevelHold(GtkWidget):
    def __init__(self, h = 200, w = 10,
                 opts = GTK_LEVEL_HOLD_FADE | GTK_LEVEL_HOLD_FIXED,
                 levels = 100, hardhold = .9):
        self._o = _pygtklevelhold.lh(h, w, opts, levels, hardhold)
        
    def set(self, val):
        _pygtklevelhold.set(self._o, val)

if (__name__ == '__main__'):
    import math

    w = GtkWindow()
    lh = GtkLevelHold()
    w.add(lh)
    w.show_all()

    w.connect("delete_event", mainquit)
    
    phase = 0.0
    phase1 = 0.0

    i = 0

    def foo():
        global phase, phase1
        lh.set((math.sin(phase) * math.cos(phase1) + 1) / 2)
        phase = phase + .03;
        phase1 = phase1 + .07;
        return 1

    def bar():
        global i
        if i == 100:
            i = 0
            _pygtklevelhold.set(.5)
        else:
            i = i + 1
            _pygtklevelhold.set(25)
        return 1

timeout_add(10, foo)

mainloop()
